Subject: Re: Walk-in | Interview Call for Shortlisted Profile - Customer service Arabic Language
From: Qaisar Ali <[email-masked]>
To: [email-masked]
Date: Tue, 24 Sep 2019 14:36:22 +0530

Not able to view Details? Learn More

Job Title
Walk-in | Interview Call for Shortlisted Profile - Customer service Arabic Language

5 Applicants

View All

Qaisar Ali
I am graduate in English literature as well in Arabic. I worked in Sitel for Moneygram process as an Arabic Customer Service Executive. Now I'm working with Facebook as a Community Operation.

Shortlist

Reject

Current Designation Process Associate
Current Company Genpact
Notice Period 1 Months
Previous Designation Process Associate
Previous Company Facebook

Contact Details
Mobile:

Exp
3 Yrs 5 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Hyderabad
Education
B.A
Indira Gandhi National Open University (IGNOU)
Key Skills
Teaching, Education, Arabic, Translation, Interpretation, International Process, CSP, BPO, Powerpoint, MS Office Word, Internet Explorer, Ms World, Data Entry Operation, Operations, Excel, Communication Skills, Word, VLOOKUP, Pivot Table, Presentation Skills

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem